cURL
curl --request POST \
--url 'https://api.precallai.com/api/v1/campaign/audiences?id={id}' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.precallai.com/api/v1/campaign/audiences?id={id}"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.precallai.com/api/v1/campaign/audiences?id={id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"first_name": "<string>",
"last_name": "<string>",
"description": "<string>",
"phone": "<string>",
"status": "<string>",
"call_duration_in_sec": "<string>",
"call_sentiment": "<string>",
"calltranscribe": "<string>",
"is_call_transferred": true,
"is_meeting_scheduled": true,
"is_message_sent": true,
"recording_url": "<string>",
"error": "<string>"
}
]{
"error": 123,
"message": "<string>"
}Campaigns
Campaign Contact List
Returns all campaign’s audiences from the system that the user has access to
POST
/
campaign
/
audiences?id=
{id}
cURL
Authorizations
Path Parameters
The ID of the campaign to get audiences
Response
Campaign audiences response
First name
Last name
Description
phone number
Status
Call duration in second
Call sentiment
Call transcribe
Call transferred action
Meeting scheduled action
Message sent action
Recording url
Error
⌘I

